--- title: "exportDbServerLogToObjectStorage" slug: "database-vmysql-exportdbserverlogtoobjectstorage" tags: ["Cloud DB for MySQL"] updated: 2026-09-17T10:05:54Z published: 2026-09-17T10:05:54Z canonical: "api.ncloud-docs.com/database-vmysql-exportdbserverlogtoobjectstorage" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # exportDbServerLogToObjectStorage Available in VPC Send Cloud DB for MySQL instance DB server log files to Object Storage. To send DB server log files to Object Storage, Object Storage buckets for storing and searching DB server log files must be created in advance. For more information, see the [Object Storage Guide](https://guide.ncloud-docs.com/docs/en/storage-storage-6-1). ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET \| POST | /vmysql/v2/exportDbServerLogToObjectStorage | ### Request headers For headers common to all Cloud DB for MySQL (VPC) APIs, see [Cloud DB for MySQL (VPC) request headers](/docs/en/database-vmysql#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - Region code of the Cloud DB for MySQL instance whose DB server log file you want to send to Object Storage - Check through [getRegionList](/docs/en/compute-vserver-server-common-getregionlist) - Default: first Region of the `getRegionList` query result | | `logType` | String | Required | DB server log file type - `BINARY` \| `ERROR` \| `SLOW` \| `GENERAL` \| `AUDIT` - `BINARY`: log all data changes that occurred on the master server - `ERROR`: log errors encountered by DB server - `SLOW`: log queries that run for more than a set amount of time and related information - `GENERAL`: log all executed SQL queries and related information - `AUDIT`: log security-related events | | `fileName` | String | Required | DB server log file name - Check through [getCloudMysqlBackupDetailList](/docs/en/database-vmysql-getcloudmysqlbackupdetaillist) | | `bucketName` | String | Required | Name of the Object Storage bucket the DB server log file will be sent to - Check through [ListBuckets](/docs/en/storage-objectstorage-listbuckets) | | `folderPath` | String | Optional | Folder path where DB server log files will be sent | | `cloudMysqlServerInstanceNo` | String | Required | Server instance number of Cloud DB for MySQL - Check through [getCloudMysqlInstanceList](/docs/en/database-vmysql-getcloudmysqlinstancelist) | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmysql/v2/exportDbServerLogToObjectStorage ?regionCode=KR &logType=BINARY &fileName=mysql-bin.000001 &bucketName=mysql-bin-log &folderPath=cloud-db-for-mysql/ &cloudMysqlServerInstanceNo=****891' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response status codes For information about the HTTP status codes common to all Cloud DB for MySQL (VPC) APIs, see [Cloud DB for MySQL (VPC) response status codes](/docs/en/database-vmysql#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. - If `responseFormatType=json` ``` { "exportDbServerLogToObjectStorageResponse": { "requestId": "1cf902bb-****-****-****-28fc2494f20", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` 1cf902bb-****-****-****-28fc2494f20c 0 success ```